Package org.eclipse.birt.chart.computation.withaxes

# Class Grid

java.lang.Object
org.eclipse.birt.chart.computation.withaxes.Grid

public final class Grid extends Object
Grid

## Constructor Summary

Constructors
Constructor
Description
`Grid()`

## Method Summary

Modifier and Type
Method
Description
`LineAttributes`
`getLineAttributes(int iMajorOrMinor)`
`int`
`getMinorCountPerMajor()`
`LineAttributes`
`getTickAttributes(int iMajorOrMinor)`
`int`
`getTickStyle(int iMajorOrMinor)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Grid

public Grid()

## Method Details

### getTickStyle

public int getTickStyle(int iMajorOrMinor)

### getLineAttributes

public LineAttributes getLineAttributes(int iMajorOrMinor)

### getMinorCountPerMajor

public int getMinorCountPerMajor()

### getTickAttributes

public LineAttributes getTickAttributes(int iMajorOrMinor)

Parameters:
  `major` -
Returns: